<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: NASAPolynomial_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">thermofluid/NASAPolynomial_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Approximation of thermodynamic properties.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacenasapolynomial__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html">nasapolynomial_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a342fdd5502f1828ecfeff6b2ac16a5bb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a342fdd5502f1828ecfeff6b2ac16a5bb">nasapolynomial_m::nasapolynomial_readcoeff</a> (thf, thermo)</td></tr>
<tr class="memdesc:a342fdd5502f1828ecfeff6b2ac16a5bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read coefficients from thermo file.  <a href="namespacenasapolynomial__m.html#a342fdd5502f1828ecfeff6b2ac16a5bb">More...</a><br /></td></tr>
<tr class="separator:a342fdd5502f1828ecfeff6b2ac16a5bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75aed4557206c747b23166f4c3592f0"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#ac75aed4557206c747b23166f4c3592f0">nasapolynomial_m::nasapolynomial_cp</a> (thf, Yi, Temperature)</td></tr>
<tr class="memdesc:ac75aed4557206c747b23166f4c3592f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evalute Cp from NASA coefficients for given temperature and composition  are assumed to give molar quantities, so divide by the species' molar mass to get mass based quantities, such that the average can be computed by convolution with the mass fractions. Then, the following expression gives the individual species' heat capacity in [J/(kg*K)].  <a href="namespacenasapolynomial__m.html#ac75aed4557206c747b23166f4c3592f0">More...</a><br /></td></tr>
<tr class="separator:ac75aed4557206c747b23166f4c3592f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68023b86893a85f0fe5bd634e48e7135"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a68023b86893a85f0fe5bd634e48e7135">nasapolynomial_m::nasapolynomial_h</a> (thf, Yi, Temperature)</td></tr>
<tr class="memdesc:a68023b86893a85f0fe5bd634e48e7135"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evalute H from NASA coefficients for given temperature and composition.  <a href="namespacenasapolynomial__m.html#a68023b86893a85f0fe5bd634e48e7135">More...</a><br /></td></tr>
<tr class="separator:a68023b86893a85f0fe5bd634e48e7135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d678c240f14cd93f3320cb20f40c8ea"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a9d678c240f14cd93f3320cb20f40c8ea">nasapolynomial_m::nasapolynomial_s</a> (thf, Yi, Temperature)</td></tr>
<tr class="memdesc:a9d678c240f14cd93f3320cb20f40c8ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evalute S from NASA coefficients for given temperature and composition.  <a href="namespacenasapolynomial__m.html#a9d678c240f14cd93f3320cb20f40c8ea">More...</a><br /></td></tr>
<tr class="separator:a9d678c240f14cd93f3320cb20f40c8ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb54d2f06a5ba1a8f2e2af368eb10601"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#abb54d2f06a5ba1a8f2e2af368eb10601">nasapolynomial_m::nasapolynomial_h_cp</a> (thf, h_sum, cp_sum, Yi, Temperature)</td></tr>
<tr class="memdesc:abb54d2f06a5ba1a8f2e2af368eb10601"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evalute H and Cp from NASA coefficients for given temperature and composition.  <a href="namespacenasapolynomial__m.html#abb54d2f06a5ba1a8f2e2af368eb10601">More...</a><br /></td></tr>
<tr class="separator:abb54d2f06a5ba1a8f2e2af368eb10601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08fa46fd68623ab06c45c5015f0d564b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a08fa46fd68623ab06c45c5015f0d564b">nasapolynomial_m::nasapolynomial_h_spec</a> (thf, s, h, Temperature)</td></tr>
<tr class="memdesc:a08fa46fd68623ab06c45c5015f0d564b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Evalute H for a species from NASA coefficients for given temperature and composition.  <a href="namespacenasapolynomial__m.html#a08fa46fd68623ab06c45c5015f0d564b">More...</a><br /></td></tr>
<tr class="separator:a08fa46fd68623ab06c45c5015f0d564b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c76887bab2102e797357fd85df05834"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a4c76887bab2102e797357fd85df05834">nasapolynomial_m::newton_t_from_ie_nasa</a> (thf, T_out, n_iter, E_in, T_in, Yi_in, WMIX_in, Cp_out)</td></tr>
<tr class="memdesc:a4c76887bab2102e797357fd85df05834"><td class="mdescLeft">&#160;</td><td class="mdescRight">Newton solver to compute temperature from internal energy.  <a href="namespacenasapolynomial__m.html#a4c76887bab2102e797357fd85df05834">More...</a><br /></td></tr>
<tr class="separator:a4c76887bab2102e797357fd85df05834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e07275b899de31b92b477a3ff6de50"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacenasapolynomial__m.html#a99e07275b899de31b92b477a3ff6de50">nasapolynomial_m::newton_t_from_h_nasa</a> (thf, T_out, n_iter, H_in, T_in, Yi_in, Cp_out)</td></tr>
<tr class="memdesc:a99e07275b899de31b92b477a3ff6de50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Newton solver to compute temperature from enthalpy.  <a href="namespacenasapolynomial__m.html#a99e07275b899de31b92b477a3ff6de50">More...</a><br /></td></tr>
<tr class="separator:a99e07275b899de31b92b477a3ff6de50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Approximation of thermodynamic properties. </p>
<p>The following subroutines rely on the NASA polynomials in the form they are used within/by the GRI mechanism.<br />
 The following was copied from <br />
 <a href="http://combustion.berkeley.edu/gri-mech/data/nasa_plnm.html">http://combustion.berkeley.edu/gri-mech/data/nasa_plnm.html</a> <br />
 on 28 July 2020 <br />
 The NASA polynomials have the form: </p><p class="formulaDsp">
<img class="formulaDsp" alt="\begin{align} \frac{C_p}{R} &amp;= a_1 + a_2 T + a_3 T^2 + a_4 T^3 + a_5 T^4 \\ \frac{H}{RT} &amp;= a_1 + a_2 T /2 + a_3 T^2 /3 + a_4 T^3 /4 + a_5 T^4 /5 + a_6/T \\ \frac{S}{R} &amp;= a_1 \mathrm{ln}T + a_2 T + a_3 T^2 /2 + a_4 T^3 /3 + a_5 T^4 /4 + a_7 \end{align}" src="form_66.png"/>
</p>
<p> where <img class="formulaInl" alt="$a_1$" src="form_67.png"/>, <img class="formulaInl" alt="$a_2$" src="form_68.png"/>, <img class="formulaInl" alt="$a_3$" src="form_69.png"/>, <img class="formulaInl" alt="$a_4$" src="form_70.png"/>, <img class="formulaInl" alt="$a_5$" src="form_71.png"/>, <img class="formulaInl" alt="$a_6$" src="form_72.png"/>, and <img class="formulaInl" alt="$a_7$" src="form_73.png"/> are the numerical coefficients supplied in NASA thermodynamic files. The first 7 numbers starting on the second line of each species entry (five of the second line and the first two of the third line) are the seven coefficients ( <img class="formulaInl" alt="$a_1$" src="form_67.png"/> through <img class="formulaInl" alt="$a_7$" src="form_73.png"/>, respectively) for the high-temperature range (above 1000 K, the upper boundary is specified on the first line of the species entry). The following seven numbers are the coefficients ( <img class="formulaInl" alt="$a_1$" src="form_67.png"/> through <img class="formulaInl" alt="$a7$" src="form_74.png"/>, respectively) for the low-temperature range (below 1000 K, the lower boundary is specified on the first line of the species entry). <br />
 <br />
 H in the above equation is defined as </p><p class="formulaDsp">
<img class="formulaDsp" alt="\[ H(T) = \Delta H_f(298K) + [ H(T) - H(298K) ] \]" src="form_75.png"/>
</p>
<p> so that, in general, <img class="formulaInl" alt="$H(T)$" src="form_76.png"/> is not equal to <img class="formulaInl" alt="$ \Delta H_f(T)$" src="form_77.png"/> and one needs to have the data for the reference elements to calculate <img class="formulaInl" alt="$ \Delta H_f(T)$" src="form_77.png"/>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
